Bug 965761 - one-off patch for RF-12932 : <rich:tab> render-attribute does not work
one-off patch for RF-12932 : <rich:tab> render-attribute does not work
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: RichFaces (Show other bugs)
Unspecified Unspecified
high Severity high
: ---
: One-off release
Assigned To: Pavol Pitonak
Pavol Pitonak
Depends On:
  Show dependency treegraph
Reported: 2013-05-21 12:43 EDT by ivassile
Modified: 2013-07-16 10:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
PATCH NAME: 965761 PRODUCT NAME: Web Framework Kit VERSION: 2.2 SHORT DESCRIPTION: Toggle panels: ajax-related attributes do not work. LONG DESCRIPTION: See RF-12932 (https://issues.jboss.org/browse/RF-12932) for details. MANUAL INSTALL INSTRUCTIONS: Follow the required actions to apply this patch: Replace jar in binary distribution 1 - Locate the "richfaces-components-ui-4.3.1.Final-redhat-1.jar" coming from jboss-wfk-2.2.0-richfaces-bin.zip (./jboss-wfk-2.2.0/richfaces-4.3.1.Final-redhat-1/artifacts/ui/richfaces-components-ui-4.3.1.Final-redhat-1.jar) 2 - Replace the "richfaces-components-ui-4.3.1.Final-redhat-1.jar" with file "richfaces-components-ui-4.3.1.Final-redhat-1-bz-965761.jar" from this patch. Add artifact to WFK Maven repository 1 - install artifact into your local Maven repository using mvn install:install-file -Dfile=./richfaces-components-ui-4.3.1.Final-redhat-1-bz-965761.jar -DpomFile=./richfaces-components-ui-4.3.1.Final-redhat-1-bz-965761.pom Use patched artifact (as dependency) in your Maven builds 1 - overide dependency with following snipet in your application pom.xml <dependencyManagement> <dependencies> <dependency> <groupId>org.richfaces.ui</groupId> <artifactId>richfaces-components-ui</artifactId> <version>4.3.1.Final-redhat-1-bz-965761</version> </dependency> </dependencies> </dependencyManagement> Note, if there is already a <dependencyManagement> section in you pom.xml, you need to place this snippet to appear on the top of the section COMPATIBILITY: None DEPENDENCIES: None SUPERSEDES: None SUPERSEDED BY: None CREATOR: Ilia Vassilev DATE: 5/21/2013
Story Points: ---
Clone Of:
Last Closed: 2013-07-16 10:45:48 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
one-off patch (6.23 MB, patch)
2013-05-21 13:35 EDT, ivassile
no flags Details | Diff
new one-off (upadated readme.txt) (6.23 MB, patch)
2013-05-22 10:47 EDT, ivassile
no flags Details | Diff

  None (edit)
Description ivassile 2013-05-21 12:43:00 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 1 ivassile 2013-05-21 13:11:09 EDT
The issue is fixed in RichFaces 4.3.2.
Comment 2 ivassile 2013-05-21 13:35:28 EDT
Created attachment 751331 [details]
one-off patch
Comment 3 ivassile 2013-05-21 13:36:27 EDT
To QA: Please verify the patch.
Comment 4 Jan Papousek 2013-05-22 08:33:06 EDT
What exactly should the patch solve? The fix for the mentioned community issue:
1) removes @value attribute from rich:togglePanelItem, rich:accordionItem and rich:tab
2) removes non-working AJAX attributes from rich:togglePanelItem and rich:accordionItem
3) fixes ajax attributes of rich:tab (only regressions, @onbegin still doesn't work for example)
4) fixes @execute attribute for rich:tab

I ask you because the (1) is not present in the attached patch for example.
Comment 5 ivassile 2013-05-22 08:53:48 EDT
@Jan: The customer actually requested fix for RF-12932, but this issue is marked as duplicate of RF-12839. The commit was made on RF-12839 and that's why I use it for the one-off. The customer tested the patch and confirmed that the issue is resolved. I wasn't aware that the commit doesn't completely resolve RF-12839. We can correct the problem by adding a note for (1)  or change the patch name and description to include only  RF-12932.
Comment 6 Jan Papousek 2013-05-22 09:12:34 EDT
OK, I've renamed the patch. I confirm the patch resolves the RF-12932 issue and I haven't found any regression.
Comment 7 ivassile 2013-05-22 10:47:00 EDT
Created attachment 751742 [details]
new one-off (upadated readme.txt)
Comment 8 ivassile 2013-05-22 10:47:50 EDT
I've attached a new version of the patch with updated readme.txt file.

Note You need to log in before you can comment on or make changes to this bug.